package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class CompositionDetailRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;
    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;
    @ApiModelProperty(name = "homeworkPictureId", value = "作业原图id", required = false)
    private String homeworkPictureId;
    @ApiModelProperty(name = "compositionCommentModule", value = "维度", required = false)
    private String compositionCommentModule;
    @ApiModelProperty(name = "typeName", value = "作文评语类型", required = false)
    private String typeName;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getCompositionCommentModule() {
        return compositionCommentModule;
    }

    public void setCompositionCommentModule(String compositionCommentModule) {
        this.compositionCommentModule = compositionCommentModule;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
